:root {
  /* Intranet Grid Option Tile */
  --intranet-grid-option-border-radius: 1.4rem;
  --intranet-grid-option-padding: 2.5rem;
  --intranet-grid-option-icon-dimensions: 4.5rem;
  --intranet-grid-option-link-flex-direction: column;
  --intranet-grid-option-title-font-size: 2.4rem;
  --intranet-grid-option-title-line-height: 1.2;
  --intranet-grid-option-title-width: 75%;
  --intranet-grid-option-meta-font-size: 1.8rem;
  --intranet-grid-option-meta-margin-top: 0.5rem;
}

/*
 * 2XL Media Query (1536px)
 * Target: 1799px > 1536px
 * Test Resolution: 1536 x 864
 */
@media screen and (max-width: 1799px) {
  :root {
    --intranet-grid-option-padding: 2.2rem;
    --intranet-grid-option-icon-dimensions: 4rem;
    --intranet-grid-option-title-font-size: 2.2rem;
    --intranet-grid-option-meta-font-size: 1.7rem;
  }
}

/*
 * XL Media Query (1280px)
 * Target: 1535px > 1280px
 * Test Resolution: 1280 x 720
 */
@media screen and (max-width: 1535px) {
  :root {
    --intranet-grid-option-padding: 2rem;
    --intranet-grid-option-icon-dimensions: 2.6rem;
    --intranet-grid-option-title-font-size: 1.8rem;
    --intranet-grid-option-title-width: 100%;
    --intranet-grid-option-meta-font-size: 1.2rem;
  }
}

/*
 * L Media Query (1024px)
 * Target: 1279px > 1024px
 * Test Resolution: 1024 x 768
 */
@media screen and (max-width: 1279px) {
  :root {
    --intranet-grid-option-padding: 1.8rem;
    --intranet-grid-option-icon-dimensions: 3rem;
    --intranet-grid-option-title-font-size: 1.6rem;
    --intranet-grid-option-meta-font-size: 1.4rem;
    --intranet-grid-option-meta-margin-top: 0.2rem;
  }
}

/*
 * M Media Query (768px)
 * Target: 1023px > 768px
 * Test Resolution: 768 x 1024
 */
@media screen and (max-width: 1023px) {
  :root {
    --intranet-grid-option-padding: 1.6rem;
    --intranet-grid-option-icon-dimensions: 3rem;
    --intranet-grid-option-title-font-size: 1.7rem;
    --intranet-grid-option-title-width: 100%;
    --intranet-grid-option-meta-font-size: 1.4rem;
    --intranet-grid-option-meta-margin-top: 0.4rem;
  }
}

/*
 * S Media Query (640px)
 * Target: < 767px
 * Test Resolution: 390 x 844
 */
@media screen and (max-width: 767px) {
  :root {
    --intranet-grid-option-border-radius: 1rem;
    --intranet-grid-option-padding: 1.4rem;
    --intranet-grid-option-icon-dimensions: 2.8rem;
    --intranet-grid-option-title-font-size: 1.6rem;
    --intranet-grid-option-title-line-height: 1.3;
    --intranet-grid-option-meta-font-size: 1.3rem;
    --intranet-grid-option-meta-margin-top: 0.3rem;
  }
}

.page-intranet-grid-option {
  background-color: var(--theme-color-white);
  border-radius: var(--intranet-grid-option-border-radius);
  aspect-ratio: 1 / 1;
  margin: 0;
  position: relative;
}

.page-intranet-grid-option-link {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: var(--intranet-grid-option-link-flex-direction);
  justify-content: space-between;
  padding: var(--intranet-grid-option-padding);
}

.page-intranet-grid-option-icon {
  display: block;
  width: var(--intranet-grid-option-icon-dimensions);
  height: var(--intranet-grid-option-icon-dimensions);
}

.page-intranet-grid-option-icon svg path {
  fill: var(--theme-color-orange);
}

.page-intranet-grid-option-caption-name {
  display: block;
  width: var(--intranet-grid-option-title-width);
  font-size: var(--intranet-grid-option-title-font-size);
  line-height: var(--intranet-grid-option-title-line-height);
  color: var(--theme-color-black);
}

.page-intranet-grid-option-caption-num-items {
  display: block;
  font-size: var(--intranet-grid-option-meta-font-size);
  color: var(--theme-color-orange);
}

.page-intranet-grid-option-caption-name
  + .page-intranet-grid-option-caption-num-items {
  margin-top: var(--intranet-grid-option-meta-margin-top);
}
